Subject: [bug#77288] [PATCH v3 2/8] doc: Document migration to the unprivileged daemon.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 20 Apr 2025 18:52:43 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> No, I was just trying to provoke an error.  No warning in the doc is
> needed.  Because (privileged #t) remains the default for some time and
> guix-ownership already exists, wrong ownership will not affect many
> users when they do not provoke it.  Also files owned by a user id, group
> id that no longer exists can happen on system roll-backs.  And it can
> obviously be fixed by following the “Migrating to the Unprivileged
> Daemon” docs with root:root.

Right.

> What I should have written to you is that I want the command
>
> mount -o remount,rw /gnu/store
>
> to come before the chown for the migrating foreign distro users.

Indeed.  I’ve now added it.

> Another observation; I get errors
> guix shell: error: opening global GC lock '/var/guix/gc.lock':
> Permission denied
>
> I had to chown guix-daemon:guix-daemon /var/guix/gc.lock as well.

Oh right, added as well.

Thanks a lot for testing all this and suggesting fixes!

Ludo’.